{
    "name": "panoramax-website",
    "version": "0.0.0",
    "private": true,
    "scripts": {
        "dev": "vite",
        "start": "vite",
        "build": "run-p type-check build-only",
        "preview": "vite preview",
        "test:unit": "vitest --environment jsdom --root src/",
        "build-only": "vite build",
        "deploy": "yarn build && cd ./dist && cp index.html 404.html && cd ../",
        "type-check": "vue-tsc --noEmit -p tsconfig.vitest.json --composite false",
        "lint": "eslint --ext .js,.vue --ignore-path .gitignore --fix src",
        "format": "prettier .  --write"
    },
    "dependencies": {
        "chart.js": "^4.4.2",
        "chartjs-plugin-datalabels": "^2.2.0",
        "@panoramax/web-viewer": "3.2.1",
        "moment": "^2.30.1",
        "vue": "^3.2.45",
        "vue-chart-3": "^3.1.8",
        "vue-eslint-parser": "^9.1.0",
        "vue-i18n": "10.0.5",
        "vue-matomo": "^4.2.0",
        "vue-router": "^4.1.6",
        "vue3-carousel": "^0.3.1"
    },
    "devDependencies": {
        "@rushstack/eslint-patch": "^1.1.4",
        "@types/jsdom": "^20.0.1",
        "@types/node": "^18.11.9",
        "@typescript-eslint/eslint-plugin": "^5.46.0",
        "@typescript-eslint/parser": "^5.4.0",
        "@vitejs/plugin-vue": "^3.2.0",
        "@vue/cli-plugin-typescript": "~5.0.0",
        "@vue/eslint-config-prettier": "^7.0.0",
        "@vue/eslint-config-typescript": "^11.0.0",
        "@vue/test-utils": "^2.2.4",
        "@vue/tsconfig": "^0.1.3",
        "eslint": "^8.29.0",
        "eslint-config-prettier": "^8.5.0",
        "eslint-plugin-vue": "^9.8.0",
        "jsdom": "^20.0.3",
        "npm-run-all": "^4.1.5",
        "prettier": "2.8.1",
        "sass": "^1.77.6",
        "typescript": "~4.7.4",
        "vite": "^3.2.4",
        "vite-plugin-eslint": "^1.8.1",
        "vitest": "^0.25.3",
        "vue-tsc": "^1.0.9"
    },
    "eslintConfig": {
        "extends": [
            "eslint:recommended",
            "@vue/typescript/recommended"
        ]
    },
    "jest": {
        "preset": "@vue/cli-plugin-unit-jest/presets/typescript-and-babel"
    },
    "packageManager": "yarn@1.22.22"
}
